# cGenericAssignableWatch< T > Class Template Reference
[Internal classes]

`#include <cwatch.h>`

Inheritance diagram for cGenericAssignableWatch< T >:

List of all members.

## Detailed Description

### template<typename T>
class cGenericAssignableWatch< T >

Template Watch class, for any type that supports operator<<, and operator>> for assignment.

## Public Member Functions

virtual const char * | className () const
virtual bool | supportsAssignment () const
virtual std::string | info () const
virtual void | assign (const char *s)

## Member Function Documentation

template<typename T>
virtual void cGenericAssignableWatch< T >::assign | ( | const char * | s | ) | `[inline, virtual]`

| Changes the watched variable's value. May only be called if supportsAssignment() returns true. Reimplemented from cWatchBase.

template<typename T>
virtual const char* cGenericAssignableWatch< T >::className | ( |  | ) | const`[inline, virtual]`

| Returns a pointer to the class name string. This method is implemented using typeid (C++ RTTI), and it does not need to be overridden in subclasses. Reimplemented from cPolymorphic.

template<typename T>
virtual std::string cGenericAssignableWatch< T >::info | ( |  | ) | const`[inline, virtual]`

Can be redefined to produce a one-line description of object into `buf'.

The string appears in the graphical user interface (Tkenv) e.g. when the object is displayed in a listbox. The returned string should possibly be at most 80-100 characters long, and must not contain newline.

See also:
  detailedInfo()

Reimplemented from cPolymorphic.

template<typename T>
virtual bool cGenericAssignableWatch< T >::supportsAssignment | ( |  | ) | const`[inline, virtual]`

| Tells if changing the variable's value via assign() is supported. Implements cWatchBase.

The documentation for this class was generated from the following file:

- cwatch.h